#ifndef __GTSUPERNOVATRIG_H_
#define __GTSUPERNOVATRIG_H_

#include <NovaGlobalTrigger/TriggerGenerator.h>
#include <NovaSuperNova/SNDataBuffer.h>
#include <NovaSuperNova/FIRFilter.h>
#include <fstream>
class GTSuperNovaTrig : public TriggerGenerator
{
  private:
    supernova::DataBuffer buffer;
    supernova::FIRFilter filter;
    double _threshold;
    std::ofstream _logfile; 
  public:
    GTSuperNovaTrig():buffer(100,100),filter(0){};
    ~GTSuperNovaTrig();
    bool isReadyToProcess();
    bool isLogging(){return _logfile.is_open();}
    void Process();
    bool SignalIsFound();
    void SendTriggerSignal(supernova::TimeType time);
    supernova::DataBuffer& Buffer(){return buffer;}
    void configure();
    void work();
};

#endif
