#ifndef _RC_RCVR_ACTION_H
#define _RC_RCVR_ACTION_H

#include <string>

namespace novadaq {

namespace rcclient {

/**
 * This class defines the interface for actions that can be queued
 * inside the run control receiver.
 *
 * @author Kurt Biery
 * @version $Revision: 1.2 $ $Date: 2010/08/30 14:48:42 $
 */

class Action {

 public:
    virtual ~Action() {};
    virtual void executeAction() = 0;
    virtual int getPartitionNumber() = 0;
    virtual std::string getDescription() = 0;

 private:

};

};  // end of namespace rcclient

};  // end of namespace novadaq

#endif
