#ifndef _GLOBAL_TRIGGER_RECEIVER_H
#define _GLOBAL_TRIGGER_RECEIVER_H

#include <NovaRunControlClient/RmsMessageClient.h>

namespace novadaq {

namespace rcclient {

/**
 * The global trigger receiver handles the receipt of messages from
 * and the sending of replies to global trigger.  It does this by
 * allowing user code to specify callbacks that get invoked when
 * specified message types arrive.
 *
 * @author Kurt Biery
 * @version $Revision: 1.5 $ $Date: 2011/09/23 13:41:34 $
 */

class GlobalTriggerReceiver : public RmsMessageClient {

 public:

    GlobalTriggerReceiver(std::string applicationName,
                          std::vector<std::string> bcastTargetList);

    ~GlobalTriggerReceiver();

 protected:

    bool _thisInstanceShouldInstallDefaultHandlers();

    void _addDefaultListeners(DDSConnectionPtr ddsConnection,
                              RMSNS::base::RmsDestination destination,
                              int partitionNumber,
                              ReceiverWrapperListPtr receiverListPtr);

 private:

    static boost::mutex _instanceMutex;
    static std::vector<int64_t> _instanceList;
};

};  // end of namespace rcclient

};  // end of namespace novadaq

#endif
