/**
 * Trace header file
 *
 * This file should be included for sending TRACE messages
 * $Id: Trace.h,v 1.1.1.1 2009/10/21 19:54:40 piccoli Exp $
 */

#ifndef __TRACE_HPP_
#define __TRACE_HPP_

// TRACE Stuff
/*  standard TRACE include directives */
extern "C" {
#if defined(CONFIG_TRACE)
#define TRACE_NAME "NOVA_RCC"
# include <linux/trace.h>       /* TRACE */
#elif defined(__GNUC__)
# include <sys/time.h>          /* struct timeval */
# define TRACE(args...)         ({struct timeval __tv__={0}; __tv__;})
# define TRACE_CNTL(args...)    ({register int x=0;x;})
#else
static inline struct timeval TRACE( int lvl, ... ) {
  struct timeval __tv__={0};
  return __tv__;
}

static enum {
  Init,
  ReInit,
  Reset,
  Mode,
  ModeGet,
  ModeSet,
  ModeClr,
  PMCGet,
  PMCRead,
  TimeDiff,
  LevelGet,
  LevelSet};

static inline int TRACE_CNTL( int cmd, ... ) {
  register int x=0;
  return x;
}
#endif
}

#endif
