
set( novadaq_VERSION 04.00.00 )
set( novadaq_UPS_VERSION v04_00_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( postgresql v9_1_5b )
    find_ups_product( xerces_c v3_1_1b )
    find_ups_product( libwda v2_7_0 )
    find_ups_product( messagefacility v1_11_0 )
    find_ups_product( fhiclcpp v2_17_00 )
    find_ups_product( cetlib v1_03_02 )
    find_ups_product( cpp0x v1_03_02 )
  find_ups_boost( v1_50_0 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( xmlrpcpp v0_71p2 )


## find_library directives
    if( NOT CETLIB )
      cet_find_library( CETLIB NAMES cetlib PATHS ENV CETLIB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FHICLCPP )
      cet_find_library( FHICLCPP NAMES fhiclcpp PATHS ENV FHICLCPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_MESSAGELOGGER )
      cet_find_library( MF_MESSAGELOGGER NAMES MF_MessageLogger PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_UTILITIES )
      cet_find_library( MF_UTILITIES NAMES MF_Utilities PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XmlRpc_LIB )
      cet_find_library( XmlRpc_LIB NAMES XmlRpc PATHS ENV XMLRPCPP_DIR NO_DEFAULT_PATH )
    endif()
    cet_find_library( DATABASEUTILS NAMES DatabaseUtils PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DATABASEUTILSDAQAPPMGR NAMES DatabaseUtilsDAQAppMgr PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DATABASEUTILSDAQCONFIG NAMES DatabaseUtilsDAQConfig PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DATABASEUTILSDCS NAMES DatabaseUtilsDCS PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DATABASEUTILSRUNHISTORY NAMES DatabaseUtilsRunHistory PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DAQCHANNELMAP NAMES DAQChannelMap PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DAQDATAFORMATS NAMES DAQDataFormats PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DAQQUALITYCHECK NAMES DAQQualityCheck PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTDISPATCHER_COMMANDSET NAMES EventDispatcher_CommandSet PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVADATABASE NAMES NovaDatabase PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVADAQUTILITIES NAMES NovaDAQUtilities PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVATIMINGUTILITIES NAMES NovaTimingUtilities PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( PACKAGEVERSION NAMES PackageVersion PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( RAWFILEPARSER NAMES RawFileParser PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( SHMRDWR NAMES ShmRdWr PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( SHMMILLIBLOCK NAMES ShmMilliBlock PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVADAQMONITORINGCLIENT NAMES NovaDAQMonitoringClient PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DAQDCSMESSAGES NAMES DAQDCSMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( ERRORHANDLERMESSAGES NAMES ErrorHandlerMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( DDTTRIGGERMESSAGES NAMES DDTTriggerMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( GLOBALTRIGGERMESSAGES NAMES GlobalTriggerMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( RUNCONTROLMESSAGES NAMES RunControlMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( SNEWSINTERFACEMESSAGES NAMES SNEWSInterfaceMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NSNMESSAGES NAMES NSNMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( SPILLSERVERMESSAGES NAMES SpillServerMessages PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( RMS_SCHEMA NAMES rms_schema PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( RMS NAMES rms PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( RMS_BASE NAMES rms_base PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( RMS_PROVIDER NAMES rms_provider PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( RMS_UTIL NAMES rms_util PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVARUNCONTROLCLIENT NAMES NovaRunControlClient PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVASUPERNOVA NAMES NovaSuperNova PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVASNEWSINTERFACE NAMES NovaSNEWSInterface PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )
    cet_find_library( NOVASPILLSERVER NAMES NovaSpillServer PATHS ENV NOVADAQ_LIB NO_DEFAULT_PATH )

check_required_components(novadaq)
